# Uses of Enum
org.apache.sling.installer.api.tasks.ResourceState

Packages that use ResourceState
Package
Description
org.apache.sling.installer.api.info
org.apache.sling.installer.api.tasks

## Uses of ResourceState in org.apache.sling.installer.api.info

Methods in org.apache.sling.installer.api.info that return ResourceState
Modifier and Type
Method
Description
`ResourceState`
Resource.`getState()`
Get the current state of the resource.

## Uses of ResourceState in org.apache.sling.installer.api.tasks

Methods in org.apache.sling.installer.api.tasks that return ResourceState
Modifier and Type
Method
Description
`ResourceState`
TaskResource.`getState()`
Get the current state of the resource.
`static ResourceState`
ResourceState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceState[]`
ResourceState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.installer.api.tasks with parameters of type ResourceState
Modifier and Type
Method
Description
`void`
InstallTask.`setFinishedState(ResourceState state)`
Set the finished state for the resource.
`void`
InstallTask.`setFinishedState(ResourceState state, String alias)`
Set the finished state for the resource and the alias
`void`
InstallTask.`setFinishedState(ResourceState state, String alias, String error)`
Set the finish state for the active resource and alias (may be null).
`void`
TaskResourceGroup.`setFinishState(ResourceState state)`
Set the finish state for the active resource.
`void`
TaskResourceGroup.`setFinishState(ResourceState state, String alias)`
Set the finish state for the active resource and register an alias.
`void`
TaskResourceGroup.`setFinishState(ResourceState state, String alias, String error)`
Set the finish state for the active resource and register an alias.
Constructors in org.apache.sling.installer.api.tasks with parameters of type ResourceState
Modifier
Constructor
Description
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s)`
Change the state of the task
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s, String error)`
Change the state of the task
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s, Map<String,Object> addAttributes, String[] removeAttributes)`
Change the state of the task
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s, Map<String,Object> addAttributes, String[] removeAttributes, String error)`
Change the state of the task